Name:		qlandkartegt
Summary:	GPS device mapping tool
Version:	1.5.1
Release:	1
Source0:	http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Patch0:		qlandkartegt-1.3.0-fedora-glu.patch
URL:		http://www.qlandkarte.org/
License:	GPLv2+
Group:		Communications
Requires:	garmindev(interface) = 1.18
Requires:	gpsbabel
Suggests:	gdal
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	mesaglu-devel
BuildRequires:	zlib-devel
BuildRequires:	gdal-devel
BuildRequires:	proj-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libexif-devel
BuildRequires:	gpsd-devel
BuildRequires:	libdmtx-devel
Obsoletes:	qlandkarte < %{version}
Provides:	qlandkarte = %{version}

%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.

%prep
%setup -q
%patch0 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON
%make VERBOSE=1

%install
%makeinstall_std -C build

%files
%doc copying changelog.txt
%{_bindir}/%{name}
%{_bindir}/map2gcm
%{_bindir}/cache2gtiff
%{_bindir}/map2rmap
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Mon Sep 03 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.5.1-1
+ Revision: 816263
- version update 1.5.1

* Mon Feb 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.4.0-1
+ Revision: 781170
- new bindir files
- version update 1.4.0

* Fri Feb 03 2012 Andrey Bondrov <abondrov@mandriva.org> 1.3.2-1
+ Revision: 770885
- New version 1.3.2, update build options, BR, patches, summary, description, file list

* Sun Oct 30 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.2.4-1
+ Revision: 707944
- update release and #64638 fix

* Wed Jul 13 2011 Funda Wang <fwang@mandriva.org> 1.2.2-1
+ Revision: 689879
- new version 1.2.2

* Tue May 24 2011 Funda Wang <fwang@mandriva.org> 1.1.2-1
+ Revision: 678167
- fix str fmt
- update to new version 1.1.2

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-1
+ Revision: 645405
- update to new version 1.1.0

* Mon Dec 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 625397
- new version 1.0.0

* Thu Dec 09 2010 Funda Wang <fwang@mandriva.org> 0.20.3-1mdv2011.0
+ Revision: 617319
- update to new version 0.20.3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.20.2-1mdv2011.0
+ Revision: 598015
- new version 0.20.2

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.20.1-1mdv2011.0
+ Revision: 593056
- new version 0.20.1

* Sun Sep 26 2010 Funda Wang <fwang@mandriva.org> 0.19.2-1mdv2011.0
+ Revision: 581114
- new version 0.19.2

* Wed Sep 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.1-1mdv2011.0
+ Revision: 580540
- sync with fedora

* Sun Aug 15 2010 Funda Wang <fwang@mandriva.org> 0.19.0-1mdv2011.0
+ Revision: 570193
- new version 0.19.0
- update to new version 0.18.5

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.18.4-1mdv2011.0
+ Revision: 561122
- new version 0.18.4
- New version 0.18.3

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 531401
- update to new version 0.18.1

* Fri Mar 05 2010 Funda Wang <fwang@mandriva.org> 0.18.0-1mdv2010.1
+ Revision: 514379
- new version 0.18.0

* Sat Feb 06 2010 Funda Wang <fwang@mandriva.org> 0.17.1-1mdv2010.1
+ Revision: 501356
- update to new version 0.17.1

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 0.17.0-1mdv2010.1
+ Revision: 496213
- update to new version 0.17.0

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 0.16.1-1mdv2010.1
+ Revision: 480608
- new version 0.16.1

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2010.1
+ Revision: 463294
- new version 0.16.0

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.1-1mdv2010.0
+ Revision: 447972
- update to new version 0.15.1

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.0-1mdv2010.0
+ Revision: 435994
- update to new version 0.15.0

* Tue Jun 23 2009 Funda Wang <fwang@mandriva.org> 0.14.1-1mdv2010.0
+ Revision: 388117
- New version 0.14.1

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 0.12.0-1mdv2010.0
+ Revision: 372356
- New version 0.12.0

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 370538
- New version 0.11.1

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 0.11.0-1mdv2009.1
+ Revision: 353602
- update file list
- New version 0.11.0

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2009.1
+ Revision: 338346
- BR grass for linkage
- New version 0.10.0

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 323306
- New version 0.9.3

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 318192
- new version 0.9.2

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 310716
- fix file list
- new version 0.9.1

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 306543
- fix file list
- new version 0.9.0
- update url

* Fri Nov 14 2008 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 302975
- import qlandkartegt

